| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GaudiPython.Bindings.iHistogramSvc Class Reference
Inheritance diagram for GaudiPython.Bindings.iHistogramSvc:
[legend]
Collaboration diagram for GaudiPython.Bindings.iHistogramSvc:
[legend]

## Public Member Functions
def | __init__ (self, name, ihs)
def | retrieve1D (self, path)
def | retrieve2D (self, path)
def | retrieve3D (self, path)
def | retrieveProfile1D (self, path)
def | retrieveProfile2D (self, path)
def | retrieve (self, path)
def | book (self, args)
def | bookProf (self, args)
def | __getitem__ (self, path)
def | getAsAIDA (self, path)
def | getAsROOT (self, path)
Public Member Functions inherited from GaudiPython.Bindings.iDataSvc
def | __init__ (self, name, idp)
def | registerObject (self, path, obj)
def | unregisterObject (self, path)
def | retrieveObject (self, path)
def | findObject (self, path)
| get object from TES More...
def | getObject (self, path, args)
| get or retrieve object, possible switch-off 'on-demand' actions More...
def | __getitem__ (self, path)
def | __setitem__ (self, path, obj)
def | __delitem__ (self, path)
def | leaves (self, node=None)
def | dump (self, node=None)
def | getList (self, node=None, lst=[], rootFID=None)
def | getHistoNames (self, node=None, lst=[])
def | setRoot (self, name, obj)
def | clearStore (self)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Additional Inherited Members
Static Public Attributes inherited from GaudiPython.Bindings.iService
| initialize = lambdaself:self.__call_interface_method__("_isvc","initialize")
| start = lambdaself:self.__call_interface_method__("_isvc","start")
| stop = lambdaself:self.__call_interface_method__("_isvc","stop")
| finalize = lambdaself:self.__call_interface_method__("_isvc","finalize")
| reinitialize = lambdaself:self.__call_interface_method__("_isvc","reinitialize")
| restart = lambdaself:self.__call_interface_method__("_isvc","restart")

## Detailed Description

Definition at line 482 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iHistogramSvc.__init__ | ( |  | self,
|  |  | name,
|  |  | ihs
| ) |  |

Definition at line 483 of file Bindings.py.

483 def __init__(self, name, ihs) :
484 self.__dict__['_ihs'] = InterfaceCast(gbl.IHistogramSvc)(ihs)
485 iDataSvc.__init__(self, name, ihs)
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:86
GaudiPython.Bindings.iHistogramSvc.__init__
def __init__(self, name, ihs)
Definition: Bindings.py:483

## Member Function Documentation

def GaudiPython.Bindings.iHistogramSvc.__getitem__ | ( |  | self,
|  |  | path
| ) |  |

    Retrieve the object from  Histogram Transient Store (by path)
    The reference to AIDA histogram is returned (if possible)
    >>> svc = ...
    >>> histo = svc['path/to/my/histogram']

Definition at line 522 of file Bindings.py.

522 def __getitem__ ( self, path ) :
523 """
524 Retrieve the object from Histogram Transient Store (by path)
525 The reference to AIDA histogram is returned (if possible)
526 >>> svc = ...
527 >>> histo = svc['path/to/my/histogram']
528 """
529 h = self.retrieve ( path )
530 if h : return h
531 return iDataSvc.__getitem__( self , path )
GaudiPython.Bindings.iHistogramSvc.__getitem__
def __getitem__(self, path)
Definition: Bindings.py:522
GaudiPython.Bindings.iHistogramSvc.retrieve
def retrieve(self, path)
Definition: Bindings.py:496

def GaudiPython.Bindings.iHistogramSvc.book | ( |  | self,
|  |  | args
| ) |  |

    Book the histograms(1D,2D&3D) , see IHistogramSvc::book
    >>> svc = ...
    >>> histo = svc.book( .... )

Definition at line 508 of file Bindings.py.

508 def book(self, *args) :
509 """
510 Book the histograms(1D,2D&3D) , see IHistogramSvc::book
511 >>> svc = ...
512 >>> histo = svc.book( .... )
513 """
514 return apply(self._ihs.book,args)
GaudiPython.Bindings.iHistogramSvc.book
def book(self, args)
Definition: Bindings.py:508
Gaudi::Functional::details::apply
constexpr void apply(const Fun &, Container &, Args...)
Definition: FunctionalDetails.h:444

def GaudiPython.Bindings.iHistogramSvc.bookProf | ( |  | self,
|  |  | args
| ) |  |

    Book the profile(1D&2D) histograms, see IHistogramSvc::bookProf
    >>> svc = ...
    >>> histo = svc.bookProf( .... )

Definition at line 515 of file Bindings.py.

515 def bookProf(self, *args) :
516 """
517 Book the profile(1D&2D) histograms, see IHistogramSvc::bookProf
518 >>> svc = ...
519 >>> histo = svc.bookProf( .... )
520 """
521 return apply(self._ihs.bookProf,args)
GaudiPython.Bindings.iHistogramSvc.bookProf
def bookProf(self, args)
Definition: Bindings.py:515
Gaudi::Functional::details::apply
constexpr void apply(const Fun &, Container &, Args...)
Definition: FunctionalDetails.h:444

def GaudiPython.Bindings.iHistogramSvc.getAsAIDA | ( |  | self,
|  |  | path
| ) |  |

    Retrieve the histogram from  Histogram Transient Store (by path)
    The reference to AIDA histogram is returned (if possible)
    >>> svc = ...
    >>> histo = svc.getAsAIDA ( 'path/to/my/histogram' )

Definition at line 532 of file Bindings.py.

532 def getAsAIDA ( self , path ) :
533 """
534 Retrieve the histogram from Histogram Transient Store (by path)
535 The reference to AIDA histogram is returned (if possible)
536 >>> svc = ...
537 >>> histo = svc.getAsAIDA ( 'path/to/my/histogram' )
538 """
539 return self.__getitem__( path )
GaudiPython.Bindings.iDataSvc.__getitem__
def __getitem__(self, path)
Definition: Bindings.py:415
GaudiPython.Bindings.iHistogramSvc.getAsAIDA
def getAsAIDA(self, path)
Definition: Bindings.py:532

def GaudiPython.Bindings.iHistogramSvc.getAsROOT | ( |  | self,
|  |  | path
| ) |  |

    Retrieve the histogram from  Histogram Transient Store (by path)
    The Underlying native ROOT object is returned (if possible)
    >>> svc = ...
    >>> histo = svc.getAsROOT ( 'path/to/my/histogram' )

Definition at line 540 of file Bindings.py.

540 def getAsROOT ( self , path ) :
541 """
542 Retrieve the histogram from Histogram Transient Store (by path)
543 The Underlying native ROOT object is returned (if possible)
544 >>> svc = ...
545 >>> histo = svc.getAsROOT ( 'path/to/my/histogram' )
546 """
547 fun = gbl.Gaudi.Utils.Aida2ROOT.aida2root
548 return fun( self.getAsAIDA( path ) )
549
550 #----iNTupleSvc class---------------------------------------------------------------------
GaudiPython.Bindings.iHistogramSvc.getAsAIDA
def getAsAIDA(self, path)
Definition: Bindings.py:532
GaudiPython.Bindings.iHistogramSvc.getAsROOT
def getAsROOT(self, path)
Definition: Bindings.py:540
fun
double fun(const std::vector< double > &x)
Definition: PFuncTest.cpp:26

def GaudiPython.Bindings.iHistogramSvc.retrieve | ( |  | self,
|  |  | path
| ) |  |

    Retrieve AIDA histogram or AIDA profile histogram by path in Histogram Transient Store
    >>> svc = ...
    >>> histo = svc.retrieve ( 'path/to/my/histogram' )

Definition at line 496 of file Bindings.py.

496 def retrieve(self,path):
497 """
498 Retrieve AIDA histogram or AIDA profile histogram by path in Histogram Transient Store
499 >>> svc = ...
500 >>> histo = svc.retrieve ( 'path/to/my/histogram' )
501 """
502 h = self.retrieve1D(path)
503 if not h : h = self.retrieve2D(path)
504 if not h : h = self.retrieve3D(path)
505 if not h : h = self.retrieveProfile1D(path)
506 if not h : h = self.retrieveProfile2D(path)
507 return h
GaudiPython.Bindings.iHistogramSvc.retrieveProfile1D
def retrieveProfile1D(self, path)
Definition: Bindings.py:492
GaudiPython.Bindings.iHistogramSvc.retrieve1D
def retrieve1D(self, path)
Definition: Bindings.py:486
GaudiPython.Bindings.iHistogramSvc.retrieve3D
def retrieve3D(self, path)
Definition: Bindings.py:490
GaudiPython.Bindings.iHistogramSvc.retrieveProfile2D
def retrieveProfile2D(self, path)
Definition: Bindings.py:494
GaudiPython.Bindings.iHistogramSvc.retrieve2D
def retrieve2D(self, path)
Definition: Bindings.py:488
GaudiPython.Bindings.iHistogramSvc.retrieve
def retrieve(self, path)
Definition: Bindings.py:496

def GaudiPython.Bindings.iHistogramSvc.retrieve1D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 486 of file Bindings.py.

486 def retrieve1D(self, path) :
487 return Helper.histo1D(self._ihs, path)
GaudiPython.Bindings.iHistogramSvc.retrieve1D
def retrieve1D(self, path)
Definition: Bindings.py:486

def GaudiPython.Bindings.iHistogramSvc.retrieve2D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 488 of file Bindings.py.

488 def retrieve2D(self, path) :
489 return Helper.histo2D(self._ihs, path)
GaudiPython.Bindings.iHistogramSvc.retrieve2D
def retrieve2D(self, path)
Definition: Bindings.py:488

def GaudiPython.Bindings.iHistogramSvc.retrieve3D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 490 of file Bindings.py.

490 def retrieve3D(self, path) :
491 return Helper.histo3D(self._ihs, path)
GaudiPython.Bindings.iHistogramSvc.retrieve3D
def retrieve3D(self, path)
Definition: Bindings.py:490

def GaudiPython.Bindings.iHistogramSvc.retrieveProfile1D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 492 of file Bindings.py.

492 def retrieveProfile1D(self, path) :
493 return Helper.profile1D(self._ihs, path)
GaudiPython.Bindings.iHistogramSvc.retrieveProfile1D
def retrieveProfile1D(self, path)
Definition: Bindings.py:492

def GaudiPython.Bindings.iHistogramSvc.retrieveProfile2D | ( |  | self,
|  |  | path
| ) |  |

Definition at line 494 of file Bindings.py.

494 def retrieveProfile2D(self, path) :
495 return Helper.profile2D(self._ihs, path)
GaudiPython.Bindings.iHistogramSvc.retrieveProfile2D
def retrieveProfile2D(self, path)
Definition: Bindings.py:494

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py